/* dimp.h */
#define ID_APPNAME 1

/* Device Capabilities Information Dialog */
#define ID_DIALOG       262
#define ID_EF_11         11
#define ID_EF_12         12
#define ID_EF_13         13
#define ID_EF_14         14
#define ID_EF_15         15
#define ID_EF_16         16
#define ID_EF_17         17
#define ID_EF_18         18
#define ID_EF_19         19
#define ID_EF_20         20

/* MPEG Video Stream Information Dialog */
#define ID_DIALOG2       263
#define ID_EF_21         21
#define ID_EF_22         22
#define ID_EF_23         23
#define ID_EF_24         24
#define ID_EF_25         25
#define ID_EF_26         26
#define ID_EF_27         27
#define ID_EF_28         28

#define ID_MAINWND      256

/* about dialog */
#define IDD_ABOUT       260

/* toolbar dialog */
#define IDD_TOOLBAR     261

/* menu options */
#define ID_FILE         265
#define ID_EXIT         266

#define ID_OPTIONS      267
#define ID_SNAP1        268
#define ID_SNAP2        269
#define ID_SNAP3        270

#define ID_CONTROL      272
#define ID_PLAY         273
#define ID_PAUSE        274
#define ID_ADVANCE      275
#define ID_RESET        276
#define ID_END          277
#define ID_NONE         278

#define ID_DITHER               280

#define ID_ORDERED_DITHER       281
#define ID_ORDERED2_DITHER      282
#define ID_HYBRID_DITHER        283
#define ID_HYBRID2_DITHER       284
#define ID_FS4_DITHER           285
#define ID_FS2_DITHER           286
#define ID_FS2FAST_DITHER       287
#define ID_MBORDERED_DITHER     298
#define ID_GRAY_DITHER          289

#define ID_FLAGS                300
#define ID_LOOP                 301
#define ID_NO_DISPLAY           303
#define ID_NO_DITHER            304

#define ID_HELP                 310
#define ID_DIVE_INFO            311
#define ID_MPEG_INFO            312
#define ID_PROG_USAGE           313
#define ID_ABOUT                314

/* toolbar controls */
#define IDC_DIVEINFO    319
#define IDC_MPEGINFO    320
#define IDC_PLAY        321
#define IDC_PAUSE       322
#define IDC_RESET       323
#define IDC_ADVANCE     324

#define IDC_RED         325
#define IDC_GREEN       326
#define IDC_BLUE        327
#define IDC_BRIGHTNESS  328
#define IDC_CONTRAST    329

#define IDC_PFRAME      331
#define IDC_BFRAME      332
#define IDC_UNDO        333

#define IDC_SHOW        334
#define IDC_LOOP        335

/* usage dialog */
#define IDD_USAGE       340

#ifdef ANALYSIS

/* oneStat dialog */

#define IDD_ONESTAT     399

#define IE_FRAME  400
#define IE_BYTES  401
#define IE_BITS   402
#define IE_I      403
#define IE_IBYTES 404
#define IE_IBITS  405
#define IE_P      406
#define IE_PBYTES 407
#define IE_PBITS  408
#define IE_B      409
#define IE_BBYTES 410
#define IE_BBITS  411
#define IE_BI      412
#define IE_BIBYTES 413
#define IE_BIBITS  414
#define IE_TIME   415

/* allStat dialog */

#define IDD_ALLSTAT 499

#define IA_I         500
#define IA_IBYTES    501
#define IA_IBITS     502
#define IA_P         503
#define IA_PBYTES    504
#define IA_PBITS     505
#define IA_B         506
#define IA_BBYTES    507
#define IA_BBITS     508
#define IA_TOTFRAMES 509
#define IA_TOTBYTES  510
#define IA_TOTBITS   511
#define IA_TOTTIME   512
#define IA_DECTIME   513
#define IA_DECFRAMES 514

#endif


/*   Window data structure
*/
typedef struct _WINDATA
{
    BOOL   fVrnDisabled;             /* Visual region enable/disable        */
    HWND   hwndFrame;                /* Frame window handle                 */
    HWND   hwndClient;               /* Client window handle                */
    HWND   hwndToolBar;              /* Toolbar window handle               */
#ifdef ANALYSIS
    HWND   hwndOneStat;              /* Statistics window handle            */
    HWND   hwndAllStat;
#endif
    HDIVE  hDive;                    /* DIVE handle                         */
    TID    tidBlitThread;            /* Thread ID for blitting routine      */
} WINDATA, *PWINDATA;


